<?php
$wp_analytify = new WP_Analytify();

$start_date_val =   strtotime("- 30 days"); 
$end_date_val   =   strtotime("now");
$start_date     =   date( "Y-m-d", $start_date_val);
$end_date       =   date( "Y-m-d", $end_date_val);

if( isset( $_POST["view_data"] ) ) {

	$s_date   = $_POST["st_date"];
	$ed_date  = $_POST["ed_date"];

}

if( isset( $s_date ) ) {
	$start_date = $s_date;
}

if( isset( $ed_date ) ) {
	$end_date = $ed_date;
}

?>
<div class="wrap">
	<h2 class='opt-title'><span id='icon-options-general' class='analytics-options'><img src="<?php echo plugins_url('wp-analytify-pro/images/wp-analytics-logo.png');?>" alt=""></span>
		<?php esc_html_e( 'Analytify Campaigns Dashboard', 'wp-analytify' ); ?>
	</h2>
	<?php

	if( WP_ANALYTIFY_FUNCTIONS::wpa_check_profile_selection('Campaigns') ) return;

	$acces_token  = get_option( "post_analytics_token" );
	if( $acces_token ) {

		?>
		<div id="col-container">
			<div class="metabox-holder">
				<div class="postbox" style="width:100%;">
					<div id="main-sortables" class="meta-box-sortables ui-sortable">
						<div class="postbox ">
							<div class="handlediv" title="Click to toggle"><br />
							</div>
							<h3 class="hndle">
								<span>
								<?php
									echo sprintf( esc_html__( 'Complete Statistics of the Site %1$s Starting From %2$s to %3$s', 'wp-analytify'), get_option("pt_webprofile_url"), date("jS F, Y", strtotime($start_date)), date("jS F, Y", strtotime($end_date)) );
								?>
								</span>
							</h3>
							<div class="inside">
								<div class="pa-filter">
									<form action="<?php echo str_replace( '%7E', '~', $_SERVER['REQUEST_URI']); ?>" method="post">
										<input type="text" id="st_date" name="st_date" value="<?php echo $start_date; ?>">
										<input type="text" id="ed_date" name="ed_date" value="<?php echo $end_date; ?>">
										<input type="submit" id="view_data" name="view_data" value="View Data" class="button-primary btn-green">
									</form>
								</div>

								<?php

								$stats = $wp_analytify->wpa_get_analytics( 'dashboard', 'ga:sessions,ga:newUsers,ga:bounces,ga:entrances,ga:avgSessionDuration,ga:pageviews', $start_date, $end_date, 'ga:campaign', 'ga:campaign', false, false );

								if ( isset( $stats->totalsForAllResults ) ) {

									include ANALYTIFY_ROOT_PATH . '/views/admin/campaign-stats.php'; 
									wpa_campaigns( $wp_analytify, $stats );
								}

								?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
		<?php 
	}
	else{
		esc_html_e( 'You must be authenticate to see the Analytics Campaigns Dashboard.', 'wp-analytify' );
	}

	?>
</div>
<script type="text/javascript">

	jQuery(document).ready(function ($) {

		$("#st_date").datepicker({
			dateFormat : 'yy-mm-dd',
			changeMonth : true,
			changeYear : true,
			beforeShow: function() {
				$('#ui-datepicker-div').addClass('mycalander');
			},
			yearRange: '-9y:c+nn',
			defaultDate: "<?php echo $start_date;?>"    
		});

		$("#ed_date").datepicker({
			dateFormat : 'yy-mm-dd',
			changeMonth : true,
			changeYear : true,
			beforeShow: function() {
				$('#ui-datepicker-div').addClass('mycalander');
			},
			yearRange: '-9y:c+nn',
			defaultDate: "<?php echo $end_date; ?>"
		});
	});

</script>